{% extends 'base.html.twig' %}

{% block body %}
    <h1 class="text-center mb-5">Catalog</h1>

    <div class="container-fluid">
        <div class="row">
            <nav class="col-md-2 d-none d-md-block bg-light sidebar">
                <div class="sidebar-sticky">
                    <ul class="nav flex-column">
                        <li class="nav-active">
                            <p class="p-3">Filter by</p>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link active" href="#">
                                <span data-feather="home"></span>
                                Brand <span class="sr-only">(current)</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="file"></span>
                                Size
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="shopping-cart"></span>
                                Type
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <span data-feather="users"></span>
                                Price
                            </a>
                        </li>
                    </ul>
                </div>
            </nav>

            <main role="main" class="col-10 ml-sm-auto col-lg-10 pl-1 text-center mx-auto">

                <div class="col-12 text-center mx-auto">
                    <div class="row mx-auto">

                        {% set i = 1 %}
                        {% for item in items %}

                        <div class="card col-3 ml-1 mr-1 mb-3 p-1 mx-auto" onclick="location.href='{{ item.id }}'">

                            <a href="#"><img class="card-img-top img-catalog"
                                             src="{{ asset("/uploads/"~item.image) }}"
                                             alt="Card image cap"></a>
                            <div class="card-body">
                                <h3 class="card-title"><a href="#">{{ item.name }} - {{ item.brand }}</a></h3>
                                <p class="card-text text-center">{{ item.price }}€</p>
                                <p class="card-text">{{ item.description }}</p>
                            </div>
                            {%  set percent = item.soldTickets*100/item.nbreTickets %}
                            <div class="ui indicating progress active" data-percent="{{ percent }}">
                                <div class="bar" style="width:{{ percent }}%;"></div>
                                <div class="label">Progress</div>
                            </div>

                        </div>
                        {% if i == 4 %}
                    </div>
                    <div class="row">

                        {% set i = 0 %}
                        {% endif %}
                        {% set i=i+1 %}
                        {% endfor %}

                    </div>
                </div>
            </main>
        </div>
    </div>


    <style>
    .img-catalog {

        max-height:150px;
        width:auto;

    }

    </style>
{% endblock %}